export default interface SpyData {
    id: string;
    resources: Array<{ id: string, amount: number }>;
    structures: Array<{ id: string, level: number }>;
    ships: Array<{ id: string, amount: number }>;
    defense: Array<{ id: string, amount: number }>;
    planets: Array<{
        id: string;
        scanned: boolean;
        scannedAt: Date;
        resources: Array<{ id: string, amount: number }>;
        buildings: Array<{ id: string, level: number }>;
        ships: Array<{ id: string, amount: number }>;
        defense: Array<{ id: string, amount: number }>;
    }>;
}