require('dotenv').config()

module.exports = {
    preset: 'ts-jest',
    transform: {
      '^.+\\.(ts|tsx)?$': 'ts-jest',
      '^.+\\.(js|jsx)$': 'babel-jest',
    },
    testEnvironment: 'node',
    rootDir: '.',
    testMatch: ['<rootDir>/tests/backend/**/*.test.ts'],
    reporters: [
      "default",
      ["./node_modules/jest-html-reporter", {
        "pageTitle": "Test Report"
      }]
    ],
};  