import { ObjectId } from "mongodb";

export default interface DBDefenses {
    _id: ObjectId;
    id: string;
    requirements: {
        buildings: Array<{ id: string, level: number }>,
        research: Array<{ id: string, level: number }>,
        resources: Array<{ id: string, amount: number }>,
    };
    energy: number;
    time: number;
    structure: {
        hitpoints: number;
        defense: number;
        attack: number;
    };
}